#ifndef __JINX
#define __JINX
/* JINX list and PERMJINX list
 */
void   checkPermJinx(char *);
void   CheckHostJinx(char *, char *, int);
void   savePermJinxes();
void   loadPermJinxes();
void   loadHostJinxes();
void   saveHostJinxes();
void   SynchHJinxes();

/* New JINX structs, vars and all the other stuff we need */

typedef struct Jinx aJinx;
struct Jinx {
	char nick[NICKLEN];
	char by[NICKLEN];
	time_t time;
	char reason[512];
	aJinx	*next, *prev;
};
aJinx *JinxList;

void AddJinx(char *, char *, char *);
int CheckJinx(char *);
void DeleteJinx(char *);
void free_jinx(aJinx *);
aJinx *make_jinx();

typedef struct PJinx aPJinx;
struct PJinx {
	char nick[NICKLEN];
	char by[NICKLEN];
	time_t time;
	char reason[512];
	aPJinx	*next, *prev;
};
aPJinx *PJinxList;

void AddPJinx(char *, char *, char *);
void AddPJinxTime(char *, char *, char *, long);
int CheckPJinx(char *);
void DeletePJinx(char *);
void free_pjinx(aPJinx *);
aPJinx *make_pjinx();

typedef struct HJinx aHJinx;
struct HJinx {
	char host[120];
	char by[NICKLEN];
	time_t time;
	char reason[512];
	aHJinx	*next, *prev;
};
aHJinx *HJinxList;

void AddHJinx(char *, char *, char *);
void AddHJinxTime(char *, char *, char *, long);
int CheckHJinx(char *);
void DeleteHJinx(char *);
void free_hjinx(aHJinx *);
aHJinx *make_hjinx();

#endif
